/**
 * Represents a Kubernetes taint effect.
 *
 * See <https://kubernetes.io/docs/concepts/scheduling-eviction/taint-and-toleration/>
 *
 * @stability stable
 */
export declare enum TaintEffect {
    /**
     * @stability stable
     */
    NO_SCHEDULE = "NoSchedule",
    /**
     * @stability stable
     */
    PREFER_NO_SCHEDULE = "PreferNoSchedule",
    /**
     * @stability stable
     */
    NO_EXECUTE = "NoExecute"
}
/**
 * Represents a Kubernetes taint.
 *
 * See <https://kubernetes.io/docs/concepts/scheduling-eviction/taint-and-toleration/>
 *
 * @stability stable
 */
export interface NodeTaint {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: string;
    /**
     * @stability stable
     */
    readonly effect: TaintEffect;
}
